html {
    /* Per Firefox */
    scrollbar-width: none;

    /* Per Internet Explorer e vecchi Edge */
    -ms-overflow-style: none;
    margin-bottom: 30px;
}

/* Per Chrome, Safari e versioni recenti di Edge */
html::-webkit-scrollbar {
    display: none;
}

:focus {
    outline: none;
}

/* INPUT */
input:not([type="checkbox"]), textarea, select {
    -webkit-appearance: none;
    box-sizing: border-box;
    text-align: center;
    text-align-last: center;
}
  
input::placeholder, textarea::placeholder {
    text-align: center;
}

input, select {
    width: 100%;
    padding: 8px;
    font-size: 15px;
    box-sizing: border-box;
    margin: 5px 0; /* Riduci margine per gli input e select */
}

input[type="checkbox"] {
    min-width: 100%;
}

.input-wrapper {
    position: relative;
    width: 100%;
    margin-top: 10px; /* Spazio per non far toccare il label con l'elemento sopra */
}

.input-wrapper label, small {
    position: absolute;
    top: -12px;
    left: 20px;
    z-index: 10;
    font-size: 13px;
    font-weight: bold;
    padding: 0 8px;
    
    border-radius: 5px;
    color: rgb(49, 35, 132);
    pointer-events: none;
}

.persona-presente {
    position: relative;       /* Necessario per posizionare l'ovale rispetto al nome */
    display: inline-block;
    width: 150px;             /* Larghezza del box esterno */
    text-align: center;       /* Centra il nome sopra l'ovale */
    z-index: 1;               /* Porta il testo in primo piano */
}

.persona-presente::before {
    content: "";              /* Crea l'elemento visivo */
    position: absolute;
    top: 50%;                 /* Centra verticalmente */
    left: 50%;                /* Centra orizzontalmente */
    transform: translate(-50%, -50%); /* Corregge il centraggio perfetto */
    width: 80px; 
    height: 5px;
    border-radius: 50%;
    background: rgba(40, 167, 69, 0.4);
    /*box-shadow: 0px 0px 20px 10px rgba(40, 167, 69, 0.6);
    z-index: -1;*/
}

.persona-assente {
    position: relative;       /* Necessario per posizionare l'ovale rispetto al nome */
    display: inline-block;
    width: 150px;             /* Larghezza del box esterno */
    text-align: center;       /* Centra il nome sopra l'ovale */
    z-index: 1; 
}

.persona-assente::before {
    content: "";              /* Crea l'elemento visivo */
    position: absolute;
    top: 50%;                 /* Centra verticalmente */
    left: 50%;                /* Centra orizzontalmente */
    transform: translate(-50%, -50%); /* Corregge il centraggio perfetto */
    width: 80px; 
    height: 5px;
    border-radius: 50%;
    background: rgba(220, 53, 70, 0.4);
    /*box-shadow: 0px 0px 20px 10px rgba(220, 53, 70, 0.6);
    z-index: -1;*/
}

.persona-occupata {
    position: relative;       /* Necessario per posizionare l'ovale rispetto al nome */
    display: inline-block;
    width: 150px;             /* Larghezza del box esterno */
    text-align: center;       /* Centra il nome sopra l'ovale */
    z-index: 1;               /* Porta il testo in primo piano */
}

.persona-occupata::before {
    content: "";              /* Crea l'elemento visivo */
    position: absolute;
    top: 50%;                 /* Centra verticalmente */
    left: 50%;                /* Centra orizzontalmente */
    transform: translate(-50%, -50%); /* Corregge il centraggio perfetto */
    width: 80px; 
    height: 5px;
    border-radius: 50%;
    background: rgba(230, 124, 4, 0.4);
    /*box-shadow: 0px 0px 20px 10px rgba(40, 167, 69, 0.6);
    z-index: -1;*/
}

.attivita-aperta {
    position: relative;       /* Necessario per posizionare l'ovale rispetto al nome */
    display: inline;
    width: 150px;             /* Larghezza del box esterno */
    text-align: center;       /* Centra il nome sopra l'ovale */
    z-index: 1;               /* Porta il testo in primo piano */
}

.attivita-aperta::before {
    content: "";              /* Crea l'elemento visivo */
    position: absolute;
    top: 50%;                 /* Centra verticalmente */
    left: 50%;                /* Centra orizzontalmente */
    transform: translate(-50%, -50%); /* Corregge il centraggio perfetto */
    width: 80px; 
    height: 5px;
    border-radius: 50%;
    background: rgba(40, 167, 69, 0.4);
    /*box-shadow: 0px 0px 20px 10px rgba(40, 167, 69, 0.6);
    z-index: -1;*/
}

.attivita-chiusa {
    position: relative;       /* Necessario per posizionare l'ovale rispetto al nome */
    width: 150px;             /* Larghezza del box esterno */
    text-align: center;       /* Centra il nome sopra l'ovale */
    z-index: 1; 
}

.attivita-chiusa::before {
    content: "";              /* Crea l'elemento visivo */
    position: absolute;
    top: 50%;                 /* Centra verticalmente */
    left: 50%;                /* Centra orizzontalmente */
    transform: translate(-50%, -50%); /* Corregge il centraggio perfetto */
    width: 80px; 
    height: 5px;
    border-radius: 50%;
    background: rgba(220, 53, 70, 0.4);
    /*box-shadow: 0px 0px 20px 10px rgba(220, 53, 70, 0.6);
    z-index: -1;*/
}

/* PAGINA */

body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
}

/* BANNER */
.banner_home {
    width: 100%;
    max-width: 150px;
    display: block;
    margin: auto;
    margin-top: 25px;
    margin-bottom: 10px;
}

.banner {
    display: block;
    width: 100%;
    position: relative;
    top: 0;
    left: 0;
    z-index: 2; /* sopra la sfocatura */
    text-align: center;
}

.banner img {
    width: 150px;
    max-width: 100%;
    display: inline-block;
}

.banner::before {
    content: "";
    position: absolute;
    inset: 0; /* copre tutta l’area del link */
    background-color: rgba(50, 35, 132, 0.7);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);

    -webkit-mask-image: radial-gradient(
        ellipse 120% 120% at 50% -40%,
        black 0%,
        black 55%,
        transparent 75%
    );
    mask-image: radial-gradient(
        ellipse 120% 120% at 50% -40%,
        black 0%,
        black 55%,
        transparent 75%
    );

    pointer-events: none;
    z-index: 1; /* sotto l’immagine */
}


/* CONTAINER : DATA, ID ATTIVITA ECC.. */

.date-container {
    justify-content: center;
    width: 60%;
    max-width: 400px;
    margin: auto;
    margin-bottom: 20px;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 0 solid rgb(255, 255, 255);
    color: rgb(255, 255, 255);
    background-color: rgb(49, 35, 132);
    font-size: 16px;
    border-radius: 15px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
}

.value-container {
    width: 100%;
    margin: 0;
    padding: 10px; /* Riduci il padding per ridurre lo spazio */
    border: 2px solid rgb(49, 35, 132);
    color: rgb(0, 0, 0);
    background-color: rgba(121, 124, 200, 0.226); 
    font-size: 16px;
    border-radius: 15px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

.form-container {
    width: 100%;
    /*margin: 0;
    padding: 10px;  Riduci il padding per ridurre lo spazio */
    border: 0px solid rgb(49, 35, 132);
    color: rgb(49, 35, 132);
    background-color: transparent;
    font-size: 16px;
    border-radius: 15px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
}

.input-wrapper {
    position: relative;
    width: 100%;
    margin-top: 10px;
    border: solid 2px rgb(49, 35, 132);
    border-radius: 7px;
}

.input-wrapper label, small {
    position: absolute;
    top: -8px;
    left: 20px;
    z-index: 10;
    font-size: 13px;
    font-weight: bold;
    padding: 0 8px;
    border-radius: px;
    color: rgb(49, 35, 132);
    pointer-events: none;
    background-color: white;
}

.gruppo {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 5px;
    font-weight: bold;
    font-size: 10px;
    text-align: center; /* Centra il testo */

    border: 2px solid rgb(49, 35, 132);
    color: white;
    background-color: rgb(49, 35, 132);
    border-radius: 8px;
}

/* TESTI */

.title {
    text-align: center;
    margin: 3px
}

/* RIGHE E COLONNE */

.top-row {
    height: 100px;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
}

.top-row::before {
    content: "";
    position: absolute;
    inset: 0;

    background-color: rgba(50, 35, 132, 1);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);

    -webkit-mask-image: radial-gradient(
        ellipse 120% 120% at 50% -40%,
        black 0%,
        black 55%,
        transparent 75%
    );

    mask-image: radial-gradient(
        ellipse 120% 120% at 50% -40%,
        black 0%,
        black 55%,
        transparent 75%
    );

    z-index: 0;
    pointer-events: none;
}

@media (min-width: 500px) {
    .top-row {
        padding-top: 20px;
    }
    .top-row::before {
       -webkit-mask-image: radial-gradient(
            ellipse 120% 120% at 50% 0%,
            black 0%,
            black 55%,
            transparent 75%
        );

        mask-image: radial-gradient(
            ellipse 120% 120% at 50% 0%,
            black 0%,
            black 55%,
            transparent 75%
        );
    }
    
    .BIG {
        display: none;
    }
    
}

/* contenuto sopra */
.top-row > * {
    position: relative;
    z-index: 1;
}

.row {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    font-size: 16px;
}

.row-reg {
    width: 100%;
    overflow-x: auto;
}

.riga_report{
    padding: 10px;
    text-align: center;
    border-collapse: collapse;
    border-bottom: 2px dotted;
}

.row-avanzate {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 900px;
    margin: 0 auto;
}

.row-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    /*gap: 10px;
    max-width: 900px;*/
    margin: 0 auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

.row_nuova_attivita {
    display:none;
    background-color:rgba(121, 124, 200, 0.226);
    border-radius: 8px;
    margin: 10px;
    max-width: 100%;
}

.row-mappa {
    display: flex;
    justify-content: center;
    margin: auto;
}

.riga_note {
    color: rgb(49, 35, 132);
    font-weight: bold;
    background-color: rgba(253, 255, 139, 0.342); 
    padding: 0 2px;
}

.col {
    display: flex;
    justify-content: center;
    width: 50%;
    padding: auto;
    margin: 5px;
    text-align: center;
    gap: 20px; 
}

.carousel-title {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    font-size: 16px;
    color: rgb(255, 255, 255);
    background-color: rgb(49 35 132);
    border-radius: 8px;
}

.col-avanzate {
    flex: 1 0 30%; /* 3 col-avanzateonne fluide */
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px 0;
}

.col-box {
    flex: 1 0 20%;
    min-width: 150px;
    max-width: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*margin: 5px 0;*/
}


.col-gestione {
    flex: 1 0 20%;
    min-width: 200px;
    max-width: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px 0;
    transition: transform 0.2s, background-color 0.2s;
}

@media (max-width: 500px) {
    .col-gestione {
        max-width: 50%;
    }
}

.col-gestione:hover {
    transform: translateY(-2px);
    filter: brightness(0.95);
}

.col-gestione:active {
    transform: translateY(0);
}

.col-uscite_automato {
    flex: 1 0 60%;
    min-width: 200px;
    max-width: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px 0;
    transition: transform 0.2s, background-color 0.2s;
}

.col-uscite_automato:hover {
    transform: translateY(-2px);
    filter: brightness(0.95);
}

.col-uscite_automato:active {
    transform: translateY(0);
}

.tab-gestione {
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.3);
    
    /* Miglioramenti estetici per l'effetto vetro */
    border: 1px solid rgba(255, 255, 255, 0.2); /* Sottile bordo luce */
    border-radius: 15px; /* Angoli arrotondati tipici del glassmorphism */
    border-collapse: separate; /* Necessario per vedere il border-radius su tabelle */
    margin-bottom: 20px;
    color: rgb(49, 35, 132); /* Testo bianco per contrasto */
    width: 90%;
}

.tab-gestione:hover {
    background: rgb(49, 35, 132);
    color: rgb(255, 255, 255);
}

.col-mappa{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 60%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-mappa-side{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 40%;
    padding: 0;
    margin: 10px;
    text-align: center;
}


.col1 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding: auto;
    margin: 10px;
    text-align: center;
    gap: 20px; 
}

.col1-reg {
    padding: 10px;
    padding-bottom: 0px;
    text-align: center;
    min-width: 100%;
}

.col-f{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 50%;
    padding: 0;
    margin: 10px;
    text-align: center;
}
.col1-f {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding: auto;
    margin: 10px;
    text-align: center;
}

.col-95 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 95%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-90 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 90%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-80 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 80%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-70 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 70%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-60 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 60%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-40 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 40%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-20 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 20%;
    padding: 0;
    margin: 10px;
    text-align: center;
}

.col-10 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 10%;
    padding: 0;
    margin: 10px;
    text-align: center; 
}

.col-5 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 5%;
    padding: 0;
    margin: 10px;
    text-align: center; 
}

.form {
    justify-content: center;
    align-items: center;
    max-width: 600px;
    margin: auto;
}

label {
    margin-bottom: 0;
}   

.accordion {
    margin-top: 16px;
    width: 100%;
    max-width: 500px;
    margin: 10px auto;
}

.accordion-item {
    margin-bottom: 8px;
}

.accordion-title {
    background:rgb(49, 35, 132);
    color: white;
    padding: 10px;
    cursor: pointer;
    border: 2px solid rgb(49, 35, 132);;
    width: 100%;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    border-radius: 8px;
}
        
.accordion-content {
    display: none;
    padding: 10px;
    background:rgba(249, 249, 249, 0);
    text-align: left;
    font-family: 'Poppins', sans-serif;
}


/* TABELLE */

.table {
    padding: 15px;
    text-align: center;
    margin: auto;
    overflow-x: auto;
}

.table-reg {
    width: 80%;
    max-width: 100%;
    padding: 15px;
    text-align: center;
    margin: auto;
}

.registroTable  {
    padding: 15px;
    text-align: center;
    margin: auto;
}

/* PULSANTI */

.submit {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    max-width: 250px;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    color: rgb(49, 35, 132);
    border: 0px solid rgb(49, 35, 132);
    border-radius: 7px;
    text-decoration: none;
    text-align: center;

    background: #ffffff;
    background: linear-gradient(165deg, rgba(49, 35, 132, 0.3) 0%, rgba(255, 255, 255, 1) 70%, rgba(49, 35, 132, 0.7) 100%);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    
}

.submit:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}

.icons {
    display: flex;
    gap: 10px;
}

.icon-home{
    font-size: 70px;
    margin-bottom: 5px;
}

.icon-avanzate {
    font-size: 40px;
    margin-bottom: 5px;
}

.icon-opzioni {
    font-size: 60px;
    margin-bottom: 5px;
}

.submit-avanzato {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 10px;
    
    color: rgb(49, 35, 132);
    background: transparent;
    box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    
    border-radius: 15px;
    text-decoration: none;
    text-align: center;
    
}

.submit-avanzato:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}

.submit-home {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    color: rgb(49, 35, 132);
    background: #ffffff;
    background: linear-gradient(165deg, rgba(49, 35, 132, 0.3) 0%, rgba(255, 255, 255, 1) 70%, rgba(49, 35, 132, 0.7) 100%);
    /*box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.75);*/
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    
    border-radius: 15px;
    text-decoration: none;
    text-align: center;
    
}
.submit-home:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}


.pulsante {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    
    width: 90%;
    margin: 10px;
    padding: 10px;
    
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: 20px;
    
    color: rgb(49, 35, 132);
    background: transparent;
    
    border-radius: 15px;
    border: 2px solid rgb(49, 35, 132);
    text-decoration: none;
    text-align: center;
}

.pulsante:hover {
    background-color: rgb(49, 35, 132);
    color: white;
}


.button {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 90%;
    margin: 10px;

    align-items: center;
    padding: 10px;

    
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    
    border: 2px solid rgb(168, 41, 2);
    color: rgb(49, 35, 132);
    background-color: transparent;
    border-radius: 15px;

    text-decoration: none; /* Rimuove la sottolineatura dei link */
    text-align: center; /* Centra il testo */
    cursor: pointer;
    transition: all 0.3s ease;
}

/* Effetto hover */
.button:hover {
    background-color: rgb(168, 41, 2);
    color: white;
}


.mappa-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    margin-top: 10px;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    border-radius: 7px;
    width: 80% !important;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.mappa-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f5a0"; /* Matita */
    font-weight: 900;
    font-size: 18px;
}
.mappa-button:hover {
    background-color: rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
}


.modifica-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    margin: 10px;
    border-radius: 15px;
    width: 100% !important;
}

.modifica-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f304";
    font-weight: 900;
    font-size: 18px;
}
.modifica-button:hover {
    background-color: rgb(49, 35, 132) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
    padding: 10px;
}

.conf-button {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(49, 35, 132) !important;
    padding: 10px;
    margin: 10px;
    border-radius: 15px;
    width: 100% !important;
}

.conf-button::before {
    font-family: "Font Awesome 5 Free";
    content: "\f00c"; 
    font-weight: 900;
    font-size: 18px;
}
.conf-button:hover {
    background-color: rgb(49, 35, 132) !important;
    border: 2px solid rgb(49, 35, 132) !important;
    color: rgb(255, 255, 255) !important;
    padding: 10px;
}

.btn-approva {
    background-color: transparent !important;
    color: rgb(76, 175, 80);
    border: 2px solid rgb(49, 35, 132) !important;
    border-radius: 15px;
    padding: 10px;
    width: 100% !important;
}

.btn-approva::before {
    font-family: "Font Awesome 5 Free";
    content: "\f00c"; 
    font-weight: 900;
    font-size: 18px;
}

.btn-approva:hover {
    background-color: rgb(255, 255, 255) !important;
    border: 2px solid rgb(49, 35, 132) !important;
}

.swal2-confirm {
    background-color: rgb(49, 35, 132)!important;
    color: white !important;
    font-size: 16px !important;
    padding: 10px 20px !important;
    border-radius: 8px !important;
    border: none !important;
    transition: background-color 0.3s ease !important;
}

.swal2-deny {
    background-color: rgb(220, 55, 65)!important;
    color: white !important;
    font-size: 16px !important;
    padding: 10px 20px !important;
    border-radius: 8px !important;
    border: none !important;
    transition: background-color 0.3s ease !important;
}

.swal2-cancel {
    background-color: rgb(192, 192, 191);
    color: white !important;
    font-size: 16px !important;
    padding: 10px 20px !important;
    border-radius: 8px !important;
    border: none !important;
    transition: background-color 0.3s ease !important;
}

.big-button {
    font-size: 18px;
    padding: 15px 30px;
    border-radius: 15px;
    width: 250px;
}

.settaggi::before {
    color: rgb(243, 38, 38); 
    position: fixed; 
    top: 30px; 
    left: 20px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: "Font Awesome 5 Free";
    content: "\f0c9"; 
    font-size: 18px; 
    font-weight: 900;
}

.conferme-icon::before {
    color: rgba(255, 188, 111, 0.877);
    position: fixed; 
    top: 30px; 
    right: 20px;
    padding: 10px; 
    text-align: center; 
    border-radius: 100px;
    font-family: "Font Awesome 5 Free";
    content: "\f071"; 
    font-size: 18px; 
    font-weight: 900;
}

.archivio::before {
    color: rgb(49, 35, 132); 
    position: fixed; 
    top: 30px; 
    left: 20px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: "Font Awesome 5 Free";
    content: "\f55a"; 
    font-size: 18px; 
    font-weight: 900;
}
@media (min-width: 500px) {
    .archivio::before {
    color: rgb(255, 255, 255); 
    }
}

/* SWEET ALERTS  POP-UP */

.swal-occupati{
    box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.75) !important;
    backdrop-filter: blur(8px) !important;
    -webkit-backdrop-filter: blur(8px) !important;
    background: rgba(255, 255, 255, 0.7) !important;   
    border: 1px solid rgba(255, 255, 255, 0.3);
    border-radius: 15px;
}

.swal-occupati-titolo {
    font-size: 24px !important;
}

/*.conferme { 
    background-color: rgba(255, 188, 111, 0.877); 
    color: rgb(102, 100, 100); 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}*/

.swal2-html-container {
    z-index: 1;
    justify-content: center;
    margin: 0px !important; 
    padding: 0px;
    overflow: auto;
    color: inherit;
    font-size: 1.125em;
    font-weight: normal;
    line-height: normal;
    text-align: center;
    word-wrap: break-word;
    word-break: break-word;
}


/* BANNER */

.database {
    background-color: rgba(0, 128, 0, 0); 
    color: white; 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 5px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
}

.aut-level-error {
    background-color: rgba(250, 208, 174, 0.60);
    color: rgb(102, 100, 100); 
    padding: 10px;
    margin: 15px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
    box-shadow: 0px 0px 20px 8px rgba(250, 208, 174, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.error-banner {
    background-color: rgba(250, 208, 174, 0.60);
    color: rgb(230, 126, 34);
    padding: 10px;
    margin: 15px;
    margin-top: 40px;
    text-align: center; 
    border-radius: 15px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
    box-shadow: 0px 0px 20px 8px rgba(250, 208, 174, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

@media (min-width: 992px) {
    .aut-level-error {
        margin: 40px auto;
        max-width: 600px;
    }
    .error-banner {
        margin: 40px auto;
        max-width: 800px;
    }
}

.versione {
    background-color: rgba(190, 190, 190, 0.74); 
    color: rgb(255, 255, 255); 
    position: fixed; 
    bottom: 10px; 
    left: 10px;
    right: 10px;
    padding: 10px; 
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
}

.logerror {
    justify-content: center; 
    background-color: rgba(253, 92, 80, 0.57); 
    color: white; 
    position: relative; 
    margin: auto;
    margin-top: 100px;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    z-index: 1;
    box-shadow: 5px 12px 20px 5px rgba(253, 92, 80, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.logok {
    justify-content: center; 
    background-color: rgba(105, 204, 143, 0.56); 
    color: white; 
    position: relative; 
    margin: auto;
    margin-top: 100px;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    z-index: 1;
    box-shadow: 5px 12px 20px 5px rgba(105, 204, 143, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.sql-error {
    justify-content: center; 
    background-color: rgba(253, 91, 80, 0.57); 
    color: white; 
    position: relative; 
    margin: auto;
    margin-bottom: 25px;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    z-index: 1;
    box-shadow: 0px 0px 20px 8px rgba(253, 92, 80, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.sql-ok {
    justify-content: center; 
    background-color: rgba(105, 204, 143, 0.56); 
    color: white; 
    position: relative; 
    margin: auto;
    margin-bottom: 25px;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    z-index: 1;
    box-shadow: 0px 0px 20px 8px rgba(105, 204, 143, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.sql-warning {
    justify-content: center; 
    background-color: rgba(253, 129, 80, 0.56); 
    color: white; 
    position: relative; 
    margin: auto;
    margin-bottom: 25px;
    padding: 10px; 
    max-width: 400px;
    text-align: center; 
    border-radius: 8px;
    font-family: 'Poppins', sans-serif;
    z-index: 1;
    box-shadow: 0px 0px 20px 8px rgba(253, 129, 80, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}



/* MAPPA */

.mappa {
    width: 100%;
    height: 400px; 
    margin-bottom: 20px;
    position: relative;
    border: 1px solid #ccc; /* Opzionale: per vedere i bordi mentre testi */
}

#mappa-form {
    border-radius: 8px;
    width: 100% !important;
    height: 80vh !important;
    position: relative;
    outline: none;
}

.mappa-home {
    width: 100% !important;
    height: 415px !important;
    border: solid 0px !important;
}

#mappa-home {
    height: 400px;
    width: 100%;
    max-width: 880px;
    margin: auto;
    margin-top: 15px;
    border-radius: 15px;
}

#mappa-attivita {
    height: 400px;
    width: 100%;
    max-width: 880px;
    margin: auto;
    margin-top: 15px;
    border-radius: 15px;
}

.leaflet-top {
    display: none !important;
}

.leaflet-control-attribution {
    display: none !important;
}

.polygon-label {
    color: rgb(240, 240, 240);
    background: transparent;
    box-shadow: 5px 10px 30px rgba(49, 35, 132, 0.75);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border: 0px solid #666;
    border-radius: 4px;
    font-size: 12px;
}

.leaflet-div-icon.leaflet-editing-icon {
    height: 10px !important;
    width: 10px !important;
    margin-left: -5px !important; /* Metà della larghezza */
    margin-top: -5px !important;  /* Usa margin-top, non margin-right, per centrare verticalmente */
    border-radius: 50%;           /* Opzionale: li rende tondi invece che quadrati */
}


/* ALTRO */

/* VIDEO DI SFONDO */
#mioVideo {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    object-fit: contain; /* Adatta il video alla finestra */
    z-index: -1; /* Porta il video dietro il contenuto */
}

#mioVideo_large {
    position: fixed;
    bottom: 0;
    left: 50%; /* Move it 50% from the left */
    transform: translateX(-50%); /* Adjust for the element's width to truly center it */
    height: 100%;
    object-fit: contain;
    z-index: -1; /* Keep the video behind the content */
}

/* Overlay per il contenuto sopra il video */
.overlay {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
}

.show-on-large {
    display: none;
}

@media (min-width: 992px) {
    .show-on-large {
        display: block;
    }
}

/* Mostra solo su schermi piccoli (larghezza inferiore a 992px) */
.show-on-small {
    display: block;
}

@media (min-width: 992px) {
    .show-on-small {
        display: none;
    }
}

/* CAROSSELLO */

.carousel-wrapper {
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;

  /* Nasconde la scrollbar */
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE/Edge */
}

.carousel-wrapper::-webkit-scrollbar {
    display: none; /* Chrome, Safari */
}


/* Nasconde il carosello all'avvio */
#main-carousel {
    opacity: 0;
    transition: opacity 0.4s ease-in-out;
    pointer-events: none; /* Impedisce interazioni finché non è pronto */
    position: relative;
    display: flex;
}

/* Classe che aggiungeremo via JS a lavoro finito */
#main-carousel.ready {
    opacity: 1;
    pointer-events: auto;
    display: flex;
}

.carousel-item {
    flex: 0 0 100%;
    scroll-snap-align: start;
    padding: 10px;
    box-sizing: border-box;
    max-width: 100%;
}

.carousel-indicator {
    text-align: center;
    margin-top: 10px;
}

.carousel-indicator button {
    width: 12px;
    height: 12px;
    margin: 0 5px;
    background: #ccc;
    border: none;
    border-radius: 50%;
    cursor: pointer;
}

.carousel-indicator button.active {
    background: rgb(49, 35, 132);
}

/* Su desktop: sezioni affiancate */
@media (min-width: 992px) {
    .carousel-wrapper {
        overflow: visible;
    }

    .carousel {
        width: 100%;
    }

    .carousel-item {
        flex: 1 0 0;
        scroll-snap-align: none;
    }

    .carousel-indicator {
        display: none;
    }
}


/* GGOGLE TRANSLATE NASCOSTO */

.skiptranslate {
    display: none !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}

.goog-te-banner-frame {
    display: none !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    border: 0 !important;
}

.goog-logo-link {
  display: none !important;
}
.goog-te-gadget {
  font-size: 0;
}

.google_translate_element+ {
display: none !important;
}


.system-messages {
    margin-top: 50px;
}


@media (max-width: 992px) {
    .row-mappa {
        flex-wrap: wrap;
    }
    .col-mappa{
        width: 100%;
    }
    .col-mappa-side{
        width: 100%;

    }
}